RDKit: RDKit::SynthonSpaceSearch Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs | Functions | Variables
RDKit::SynthonSpaceSearch Namespace Reference

## Namespaces
namespace | details

## Classes
class | SearchResults
class | Synthon
class | SynthonSet
class | SynthonSpace
class | SynthonSpaceFingerprintSearcher
struct | SynthonSpaceFPHitSet
struct | SynthonSpaceHitSet
class | SynthonSpaceRascalSearcher
class | SynthonSpaceSearcher
struct | SynthonSpaceSearchParams
class | SynthonSpaceSubstructureSearcher

## Typedefs
using | SearchResultCallback

## Functions
RDKIT_SYNTHONSPACESEARCH_EXPORT void | convertTextToDBFile (const std::string &inFilename, const std::string &outFilename, bool &cancelled, const FingerprintGenerator< std::uint64_t > *fpGen=nullptr)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::string | formattedIntegerString (std::int64_t value)

## Variables
constexpr unsigned int | PATT_FP_NUM_BITS = 1024
const std::vector< std::string > | CONNECTOR_SYMBOLS {"[U]", "[Np]", "[Pu]", "[Am]"}
constexpr unsigned int | MAX_CONNECTOR_NUM {4}

## Typedef Documentation

## ◆ SearchResultCallback

using RDKit::SynthonSpaceSearch::SearchResultCallback

Initial value:
std::function<bool(std::vector<std::unique_ptr<ROMol>> &)>

Definition at line 24 of file SearchResults.h.

## Function Documentation

## ◆ convertTextToDBFile()

RDKIT_SYNTHONSPACESEARCH_EXPORT void RDKit::SynthonSpaceSearch::convertTextToDBFile | ( | const std::string & | inFilename,
|  | const std::string & | outFilename,
|  | bool & | cancelled,
|  | const FingerprintGenerator< std::uint64_t > * | fpGen = nullptr )

Convert the text file into the binary DB file in our format. Equivalent to readTextFile() followed by writeDBFile(). If a fingerprint generator is provided, fingerprints will be created for all the synthons, which can be time-consuming.

Parameters

  inFilename | name of the text file to read
  outFilename | name of the binary file to write
  cancelled | whether it received a SIGINT
  fpGen | optional fingerprint generator

References RDKIT_SYNTHONSPACESEARCH_EXPORT.

## ◆ formattedIntegerString()

RDKIT_SYNTHONSPACESEARCH_EXPORT std::string RDKit::SynthonSpaceSearch::formattedIntegerString | ( | std::int64_t | value | ) |

Format an integer with spaces every 3 digits for ease of reading.

Returns
  std::string

References RDKIT_SYNTHONSPACESEARCH_EXPORT.

## Variable Documentation

## ◆ CONNECTOR_SYMBOLS

const std::vector<std::string> RDKit::SynthonSpaceSearch::CONNECTOR_SYMBOLS {"[U]", "[Np]", "[Pu]", "[Am]"}

Definition at line 55 of file SynthonSpace.h.

## ◆ MAX_CONNECTOR_NUM

unsigned int RDKit::SynthonSpaceSearch::MAX_CONNECTOR_NUM {4}
| constexpr

Definition at line 56 of file SynthonSpace.h.

## ◆ PATT_FP_NUM_BITS

unsigned int RDKit::SynthonSpaceSearch::PATT_FP_NUM_BITS = 1024
| inlineconstexpr

Definition at line 27 of file Synthon.h.